Subject: bug#1980: 23.0.60; emacs switches focus to graphical frame when server-edit exits terminal frame

From: Chong Yidong <[email-masked]>
Date: Tue, 24 Mar 2009 13:53:27 -0400

> When using emacs 23 in daemon mode some graphical emacs frame gets
> fokus if an editing session on a terminal window which was initiated
> via "emacsclient -t ..." is finished with C-x # (server-edit).  In
> order to continue work in the terminal window I have to manually
> switch back to the terminal window.

Sorry for the late response.  I haven't been able to reproduce this bug
with metacity---closing an `emacsclient -t' client keeps the xterm
window in focus.  This problem may be a quirk of the window managers you
tried (xfce4 and icwwm-lite); I am not sure what Emacs can do
differently to try to mitigate this.